Your suggested change has been received. Thank you.

close

Suggest A Change

https://thales.na.market.dpondemand.io/docs/dpod/services/kmo….

back

DSM Domain APIs

Adding DSM Domains

search

Please Note:

Adding DSM Domains

Use the post /v1/cckm/dsm/add-domains API to add DSM domains to the CipherTrust Manager. To add a domain, you need a DSM connection and the domain ID.

Syntax

curl -k '<IP>/api/v1/cckm/dsm/add-domains' -H 'Authorization: Bearer AUTHTOKEN' --compressed

Request Parameters

Parameter Type Description
AUTHTOKEN string Authorization token.
connection string Name or ID of the DSM connection.
domains array of integers ID of the domains to be added. To add multiple domains, specify their IDs in the array. Refer to Getting DSM Domains to get a domain's ID.

Example Request

curl -k 'https://127.0.0.1/api/v1/cckm/dsm/add-domains' -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiI0MmFmZDExNy02YzllLTRhNGUtOTAwYS1lYjlhNDNjYWE5ZDIiLCJzdWIiOiJsb2NhbHwzMTI5ODdkMS0wOWNiLTQxZTEtOThmNy1jZjRhNzgwNTZiMTMiLCJpc3MiOiJreWxvIiwiYWNjIjoia3lsbyIsInByZWZlcnJlZF91c2VybmFtZSI6ImFkbWluIiwiY3VzdCI6eyJkb21haW5faWQiOiIwMDAwMDAwMC0wMDAwLTAwMDAtMDAwMC0wMDAwMDAwMDAwMDAiLCJncm91cHMiOlsiYWRtaW4iXSwic2lkIjoiNDVmOWE3NWUtMzI1NC00NWJkLWE0NzYtOWU2NWUyNjdmNGVkIiwiem9uZV9pZCI6IjAwMDAwMDAwLTAwMDAtMDAwMC0wMDAwLTAwMDAwMDAwMDAwMCJ9LCJqd3RpZCI6IjdiYzNkOWM4LWRiYTQtNDVmMy05YWNiLWI3NGM2MzQyYzYyMCIsImlhdCI6MTYxNDc1MTg1MSwiZXhwIjoxNjE0NzUyMTUxfQ.ahdxfM7-WA4u7sotHy6qelc9MkoZytst7oZWsvE7Cr0' -H 'Content-Type: application/json' --data-binary $'{\n  "connection": "dsm-connection",\n  "domains": [1769]\n}' --compressed

Example Response

[
    {
        "id": "83d7b91f-2298-420e-b7a5-ce0dce07a6d9",
        "uri": "kylo:kylo:cckm:domain:83d7b91f-2298-420e-b7a5-ce0dce07a6d9",
        "account": "kylo:kylo:admin:accounts:kylo",
        "application": "ncryptify:gemalto:admin:apps:kylo",
        "devAccount": "ncryptify:gemalto:admin:accounts:gemalto",
        "createdAt": "0001-01-01T00:00:00Z",
        "updatedAt": "0001-01-01T00:00:00Z",
        "dsm_params": {
            "id": 1769,
            "url": "/v1/domains/1769",
            "name": "testkeydomain",
            "adminType": "ALL_ADMIN",
            "kmipEnabled": false,
            "fingerprintRegistrationDisabled": false,
            "registrationTokenEnabled": false
        },
        "connection": "dsm-connection",
        "synced_at": null,
        "description": ""
    }
]

The DSM domain with ID 1769 is added to CCKM. A unique resource ID (for example, 83d7b91f-2298-420e-b7a5-ce0dce07a6d9) is generated for the domain. This ID is required when viewing, updating, or deleting a particular domain from the CipherTrust Manager.

Response Codes

Response Code Description
2xx Success
4xx Client errors
5xx Server errors

Refer to HTTP status codes for details.